#ifndef _CONFIG_H
#define _CONFIG_H

struct conf_opts_t {
    uint8_t  shr;
    uint8_t  shl;
    uint8_t  add;
    uint8_t  bit_xor;
};

typedef struct config_t {
    char     filename[9];
    char     ext[4];
    uint32_t start;
    uint32_t end;
    uint16_t skip_a;
    uint16_t skip_b;
    struct conf_opts_t opts;
    struct config_t *next;
} config_t;

config_t *parse_config(char *);
void free_config(config_t *);

#endif /* !_CONFIG_H */
